Participants & Sanctions
Create and execute sanctions/PEP/AML screening check
Run a granular sanctions, PEP, or AML screening check on a participant against UN, OFAC, EU, and other watchlists and store the result on the participant.
POST
/
api
/
v1
/
participants
/
{id}
/
sanctions-check
Create and execute sanctions/PEP/AML screening check
curl --request POST \
--url https://uat.gateway.verify-group.io/api/v1/participants/{id}/sanctions-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"participantId": "<string>",
"organizationId": "<string>",
"checkType": {},
"checkTypes": [
{}
],
"searchName": "<string>",
"searchCountries": [
{}
],
"searchDob": "<string>",
"dataSources": [
{}
],
"enableMonitoring": true
}
'import requests
url = "https://uat.gateway.verify-group.io/api/v1/participants/{id}/sanctions-check"
payload = {
"participantId": "<string>",
"organizationId": "<string>",
"checkType": {},
"checkTypes": [{}],
"searchName": "<string>",
"searchCountries": [{}],
"searchDob": "<string>",
"dataSources": [{}],
"enableMonitoring": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
participantId: '<string>',
organizationId: '<string>',
checkType: {},
checkTypes: [{}],
searchName: '<string>',
searchCountries: [{}],
searchDob: '<string>',
dataSources: [{}],
enableMonitoring: true
})
};
fetch('https://uat.gateway.verify-group.io/api/v1/participants/{id}/sanctions-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
string
required
Participant ID
string
required
Participant ID to screen
string
Organization ID (auto-resolved from authenticated user when omitted)
aml | pep | sanctions | watchlist | adverse_media
Granular screening type to perform. Defaults to watchlist when omitted.
array
Deprecated legacy grouped check types. If provided, only the first type is used.
string
Custom search name (defaults to participant full name)
array
Countries to search in (ISO 3166-1 alpha-2 codes)
string
Date of birth for enhanced matching
array
the watchlist provider source short_name values to include in the search. Required for source-based watchlist screening.
boolean
Enable continuous monitoring
⌘I
Create and execute sanctions/PEP/AML screening check
